Bug 1668013 - Switch cryptsetup default metadata format to LUKS2
Summary: Switch cryptsetup default metadata format to LUKS2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Kozina
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-21 17:10 UTC by Ben Cotton
Modified: 2019-08-07 13:44 UTC (History)
4 users (show)

Fixed In Version: cryptsetup-2.1.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-07 13:44:35 UTC


Attachments (Terms of Use)

Description Ben Cotton 2019-01-21 17:10:52 UTC
This is a tracking bug for Change: Switch cryptsetup default metadata format to LUKS2
For more details, see: https://fedoraproject.org/wiki/Changes/SwitchCryptsetupDefaultToLUKS2

The change switches Fedora system default metadata format for full disk encryption from LUKS1 to LUKS2. It mostly involves cryptsetup package and Anaconda installer so that both creates new LUKS2 containers by default.

Comment 1 Ondrej Kozina 2019-01-22 09:53:59 UTC
For cryptsetup, I've switched default format with following build: cryptsetup-2.0.6-2.fc30.

Comment 2 Vendula Poncova 2019-01-29 12:56:31 UTC
Anaconda switched the default format in anaconda-30.19-1.fc30.

Comment 3 user566 2019-05-17 22:13:05 UTC
Encrypting a LVM Volume group (so LVM on top of LUKS) in the Custom partitioning screen creates a LUKS1 partition, with no way to change it.

Automatic partitioning with encryption (also LVM on top of LUKS) creates a LUKS2 partition. Any way to have a LUKS2 partition below LVM with Custom partitioning?

Comment 4 Vendula Poncova 2019-05-20 09:38:30 UTC
Hi user566@mailinator.com,

it should be possible to change the version of LUKS in the Custom partitioning screen.
Please, report a bug against anaconda and provide steps to reproduce.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.